@use 'sass:color';

@use '@material/theme/color-palette';

// Svelte Colors!
@use '@material/theme/index' as theme with (
	$primary: #ff3e00,
	$secondary: color-palette.$grey-300,
	$surface: color-palette.$grey-100,
	$background: color-palette.$grey-100,
	$error: color-palette.$red-900
);

@use '@material/typography/mdc-typography';
@use '@material/typography/mixins' as typography;

html {
	@include typography.typography('body1');
}

h1 {
	@include typography.typography('headline1');
}

h2 {
	@include typography.typography('headline2');
}

h3 {
	@include typography.typography('headline3');
}

h4 {
	@include typography.typography('headline4');
}

h5 {
	@include typography.typography('headline5');
}

h6 {
	@include typography.typography('headline6');
}

caption {
	@include typography.typography('caption');
}

code,
pre {
	font-family: 'Roboto Mono', monospace;
}

small {
	font-size: 0.9em;
}

big {
	font-size: 1.1em;
}

b,
strong {
	font-weight: bold;
}

html,
body {
	background-color: theme.$surface;
	color: theme.$on-surface;
	height: 100%;
}

a {
	color: #40b3ff;
}
a:visited {
	color: color.scale(#40b3ff, $lightness: -35%);
}
